Bug 262167 - When creating a new name the name is not displayed on the current picture
Summary: When creating a new name the name is not displayed on the current picture
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Faces-Workflow (show other bugs)
Version: 2.0.0
Platform: Unlisted Binaries Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-05 11:16 UTC by Julien Narboux
Modified: 2017-08-15 21:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Narboux 2011-01-05 11:16:39 UTC
Version:           2.0.0 (using KDE 4.5.4) 
OS:                Linux

I tried to create a new name by typing in the "Who is this" and pressing enter.
The new tag is created and assigned to the face, but the box to display the name is empty after that. To see the name I just created I need to select another picture and go back to the picture to refresh view.

Reproducible: Always
Comment 1 Marcel Wiesweg 2011-04-18 21:41:10 UTC
Julien, is this bug still valid with a recent beta?
Comment 2 Julien Narboux 2011-04-19 11:25:02 UTC
Yes the bug is still present with current git trunk. When I attach a tag. The squares disappears of the current view. If i click on another picture and go back, it is ok.

Julien
Comment 3 Marcel Wiesweg 2011-04-24 19:06:15 UTC
Git commit e0b340f56477455900ce01458faa9cb65bebafbd by Marcel Wiesweg.
Committed on 24/04/2011 at 19:11.
Pushed by mwiesweg into branch 'master'.

Finish always clear()ed the loaded items. Change name and semantics
of the call and check that the item is really going to change.

CCBUG: 262167

M  +1    -1    digikam/views/imagepreviewview.cpp     
M  +6    -1    utilities/facedetection/facegroup.cpp     
M  +4    -2    utilities/facedetection/facegroup.h     

http://commits.kde.org/digikam/e0b340f56477455900ce01458faa9cb65bebafbd
Comment 4 Marcel Wiesweg 2011-04-24 19:06:50 UTC
I couldnt precisely reproduce the problem but something similar, which is fixed with this commit.
Comment 5 Marcel Wiesweg 2011-09-24 13:37:43 UTC
Any news here with 2.1.1 or current git?
Comment 6 caulier.gilles 2011-12-14 13:47:13 UTC
Julien,

Do you see Marcel comment #5.

Can you reproduce the dysfunction with digiKam 2.4 ?

Gilles Caulier
Comment 7 caulier.gilles 2014-07-15 07:55:15 UTC
Not reproducible for me with next 4.2.0.

I close this file now

Gilles Caulier